Skip to navigation

Update Action Approval Rule

Updates an action approval rule. Only fields included in the request are changed.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the action approval rule is in. You can get your project ID from the API Credentials page in your global management console.

actionApprovalRuleIdstringRequiredformat: "uuid"
Action approval rule ID.

Request

This endpoint expects an object.
requiredApprovalsintegerOptional>=1
Number of approvals required before the action can be executed.
approvalWindowHoursintegerOptional1-168
Number of hours the request stays open for approval. If the approvals aren't received before the end of the window, the request expires.
executionWindowHoursintegerOptional1-168
Number of hours after approval the requester can execute the action. If the requester doesn't execute before the end of the window, the request expires.
descriptionstringOptional
Description explaining the purpose of the rule.
resourceSelectorobjectOptional

Configuration that determines which entities the action approval rule applies to.

If the rule applies to backup policies, CONDITIONAL selection is unavailable.

approverIdpIdstring or nullOptionalformat: "uuid"

Eon-assigned ID of the identity provider the approver’s SAML group belongs to. Used in combination with approverProviderGroupId.

approverProviderGroupIdstring or nullOptional

Identity-provider-assigned ID of the approver group. Used in combination with approverIdpId.

exemptApiCredentialsbooleanOptional

Whether API clients bypass the rule or are bound by it.

When true, API clients bypass the rule and don’t require approval to perform the action. When false, API clients are bound like any other user and must get the required approvals.

Response

Action approval rule updated.
actionApprovalRuleobject
Updated action approval rule.

Errors

400
Bad Request Error
404
Not Found Error